Bug 233846 - devel/libappindicator: Fails to configure if CUPS option in x11-toolkits/gtk{2,3)0 is DISABLED
Summary: devel/libappindicator: Fails to configure if CUPS option in x11-toolkits/gtk{...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2018-12-07 09:06 UTC by Grzegorz Junka
Modified: 2018-12-09 10:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Junka 2018-12-07 09:06:34 UTC
Disabling CUPS in x11-toolkits/gtk20 and x11-toolkits/gtk30 causes the configure to fail:

configure: error: Package requirements (dbus-glib-1) were not met:
Package 'dbus-glib-1', required by 'virtual:world', not found

Steps to reproduce:

Create a new build environment with options:
  poudriere options -j 11rel2amd64 -p local -z libappindicator devel/libappindicator

Navigate to create options:
  cd /usr/local/etc/poudriere.d/11rel2amd64-local-libappindicator-options/

Search for packages with option CUPS
  grep -ir cups * | grep -v COMPLETE_OPTIONS

Two packages will have that option enabled. Disable in both:
  poudriere options -c -j 11rel2amd64 -p local -z libappindicator x11-toolkits/gtk20
  poudriere options -c -j 11rel2amd64 -p local -z libappindicator x11-toolkits/gtk30

Start the build:
  /usr/bin/nice -n 20 poudriere bulk -j 11rel2amd64 -p local -z libappindicator devel/libappindicator

About 212 packages will be build but the build will ultimately fail in libappindicator with the error I gave above.
I suspect libappindicator depends on a library which is not listed explicitly in its Makefile/deps but which is installed when the CUPS option is enabled.
Comment 1 commit-hook freebsd_committer 2018-12-09 04:53:53 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 04:53:00 UTC 2018
New revision: 487020
URL: https://svnweb.freebsd.org/changeset/ports/487020

Log:
  devel/libappindicator: Fix configure if CUPS option in x11-toolkits/gtk{2,3)0 is disabled

  PR:		233846
  Reported by:	Grzegorz Junka <list1@gjunka.com>

Changes:
  head/devel/libappindicator/Makefile
Comment 2 Steve Wills freebsd_committer 2018-12-09 04:54:11 UTC
Committed, thanks!
Comment 3 Grzegorz Junka 2018-12-09 10:55:58 UTC
Please note that exactly the same error happens if CUPS option is enabled but AVAHI option in print/cups is disabled.

x11-toolkits_gtk20/options:OPTIONS_FILE_SET+=CUPS
x11-toolkits_gtk30/options:OPTIONS_FILE_SET+=CUPS

print_cups/options:OPTIONS_FILE_UNSET+=AVAHI

I didn't test yet if the patch resolves that as well, likely it does. Just mentioning here for completeness in case someone encounters similar issue.